:root, html, body {
    font-family: "Segoe UI", Helvetica, "Droid Sans", Tahoma, Geneva, sans-serif;
    --kendo-spacing-3: 8px;
    --kendo-font-size: 12px;
    --bs-body-font-size: 12px;
    --kendo-color-on-app-surface: #3d3d3d;
    --kendo-color-app-surface: #ffffff;
    --dxbl-icon-width: 20px;
    --dxbl-icon-height: 20px;
    --dxbl-icon-opacity: 1;
    --dxbl-treeview-sidebar-tree-ctp-badge-color: var(--bs-white);
    --spacer-3: 1rem;
    background: rgb(252,246,241);
    background: -moz-linear-gradient(41deg, rgba(252,246,241,1) 0%, rgba(252,241,233,1) 33%, rgba(252,244,236,1) 66%, rgba(253,240,213,1) 100%);
    background: -webkit-linear-gradient(41deg, rgba(252,246,241,1) 0%, rgba(252,241,233,1) 33%, rgba(252,244,236,1) 66%, rgba(253,240,213,1) 100%);
    background: linear-gradient(41deg, rgba(252,246,241,1) 0%, rgba(252,241,233,1) 33%, rgba(252,244,236,1) 66%, rgba(253,240,213,1) 100%);
}

.dxbl-toolbar {
    --dxbl-toolbar-btn-border-radius: 8px;
    --dxbl-toolbar-font-size: 12px;
}

    .dxbl-toolbar.dxbl-sm {
        --dxbl-toolbar-btn-border-radius: 4px;
    }

.dxbl-grid {
    --dxbl-grid-font-size: 12px;
}

.grid-title {
    color: royalblue;
    font-weight: bold;
    font-size: 1.1rem;
}

th {
    font-size: 12px;
}

.k-treelist-toggle {
    padding: 0px !important;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
    font-size: 12px;
}

#splitGrid .k-cell-inner {
    display: flex;
    flex-direction: column;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

code {
    color: #c02d76;
}

.k-grid .k-table-th, .k-grid td, .k-grid .k-table-td {
    text-overflow: clip !important;
}

.k-table-td:has(.rtGanttDay) {
    padding: 0 !important;
}

.k-task-single:has(.task-info-parent) {
    background-color: unset;
}

.k-task-single.k-selected:has(.task-info-parent) {
    background-color: unset;
    color: unset;
    border-color: unset;
}

.k-gantt-rows.k-table-md.k-table {
    z-index: 2;
}

.k-gantt-columns.k-table-md.k-table {
    z-index: 1;
}

.k-table-td:has(.ofttasks) {
    background-color: #ddb5ec73;
}

.k-table-td:has(.zeustasks) {
    background-color: #a7edc673;
}

.k-table-td:has(.apollotasks) {
    background-color: #a1ceed73;
}

.k-table-td:has(.rteagletasks) {
    background-color: #ffff3c73;
}

.k-table-td:has(.rtaugusttasks) {
    background-color: #ffaca573;
}

.k-table-td:has(.rtgenovatasks) {
    background-color: #fadbd8;
}

.k-table-td:has(.emco-1tasks) {
    background-color: #d6eaf8;
}

.k-table-td:has(.rtleotasks) {
    background: #efb27473;
}

.k-table-td:has(.louratasks) {
    background-color: #e48f1573;
}

.k-table-td:has(.maratasks) {
    background-color: #f7afa873;
}

.task-info {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 4px;
    top: 0;
    left: 0;
}

    .task-info.maintenance {
        background-color: #85929e;
        background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAQAAAAECAYAAACp8Z5 + AAAAGklEQVQYV2NkQAOMDAwM/xkYGOA0iIECMAQAVuYCBVlPQJ4AAAAASUVORK5CYII=");
    }

    .task-info.idletime {
        background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAICAYAAADA+m62AAAAP0lEQVQoU42Q0QoAIAgDz///aMPAKKeQb26HTg0tB6zKVUhI4Bus5tMn2K4Djh7gBGXM7Uvo5riQ/BfUNwwTWfn+Cgg4zkoRAAAAAElFTkSuQmCC");
    }

    .task-info.withoutbarge {
        background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAOUlEQVQYV43MQQ4AIAgDQfv/R4OYaFChsOfJYvQSNJxMgwouZDMGD2LwQhn8UARD9MIUeUjRhiUyqPw8Cgq7TDlmAAAAAElFTkSuQmCC");
    }

.task-info {
    background-color: grey;
}

    .task-info.zeus.idletime {
        background-color: #16a085;
    }

    .task-info.apollo.idletime {
        background-color: #1a5276;
    }

    .task-info.rteagle.idletime {
        background-color: #d7d395;
    }

    .task-info.rtaugust.idletime {
        background-color: #bb9692;
    }

    .task-info.default {
        background-color: #3498db;
    }

.k-toolbar.k-toolbar-md {
    padding-bottom: 15px;
}

.rt-icon-anchor {
    background-image: url('../images/anchor.svg');
    filter: none;
    width: 15px;
    height: 15px;
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    top: -20px;
    display: none;
}

.k-svg-i-menu {
    color: #e97630;
}

.k-drawer-item {
    padding-inline: var(--kendo-spacing-2, .5rem);
    flex-direction: column;
}

    .k-drawer-item.k-selected {
        background-color: transparent;
    }

        .k-drawer-item.k-selected:hover {
            background-color: transparent;
        }

    .k-drawer-item:hover {
        background-color: transparent;
    }

.orangeColor {
    color: #e67e22;
}

.grid-toolbar-save, .grid-toolbar-cancel, .grid-toolbar-edit, .grid-toolbar-lock,
.grid-toolbar-print, .grid-icon-column-chooser, .grid-toolbar-new, .grid-toolbar-cargo {
    background-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    background-position: center center;
}

.grid-toolbar-edit {
    -webkit-mask-image: var(--dxbl-grid-toolbar-edit);
    mask-image: var(--dxbl-grid-toolbar-edit);
    opacity: var(--dxbl-icon-opacity);
    width: var(--dxbl-icon-width);
    height: var(--dxbl-icon-height);
    background-color: currentColor;
}

.grid-toolbar-lock {
    -webkit-mask-image: var(--dxbl-grid-toolbar-lock);
    mask-image: var(--dxbl-grid-toolbar-lock);
    opacity: var(--dxbl-icon-opacity);
    width: var(--dxbl-icon-width);
    height: var(--dxbl-icon-height);
    background-color: currentColor;
}

.grid-toolbar-print {
    -webkit-mask-image: var(--dxbl-grid-toolbar-print);
    mask-image: var(--dxbl-grid-toolbar-print);
    opacity: var(--dxbl-icon-opacity);
    width: var(--dxbl-icon-width);
    height: var(--dxbl-icon-height);
    background-color: currentColor;
}

.grid-toolbar-new {
    -webkit-mask-image: var(--dxbl-grid-toolbar-new);
    mask-image: var(--dxbl-grid-toolbar-new);
    opacity: var(--dxbl-icon-opacity);
    width: var(--dxbl-icon-width);
    height: var(--dxbl-icon-height);
    background-color: currentColor;
}

.grid-toolbar-save {
    -webkit-mask-image: var(--dxbl-grid-toolbar-save);
    mask-image: var(--dxbl-grid-toolbar-save);
    opacity: var(--dxbl-icon-opacity);
    width: var(--dxbl-icon-width);
    height: var(--dxbl-icon-height);
    background-color: currentColor;
}

.grid-toolbar-cancel {
    -webkit-mask-image: var(--dxbl-grid-toolbar-cancel);
    mask-image: var(--dxbl-grid-toolbar-cancel);
    opacity: var(--dxbl-icon-opacity);
    width: var(--dxbl-icon-width);
    height: var(--dxbl-icon-height);
    background-color: currentColor;
}

.grid-toolbar-delete {
    -webkit-mask-image: var(--dxbl-grid-toolbar-delete);
    mask-image: var(--dxbl-grid-toolbar-delete);
    opacity: var(--dxbl-icon-opacity);
    width: var(--dxbl-icon-width);
    height: var(--dxbl-icon-height);
    background-color: currentColor;
}

.grid-toolbar-cargo {
    -webkit-mask-image: var(--dxbl-grid-toolbar-cargo);
    mask-image: var(--dxbl-grid-toolbar-cargo);
    opacity: var(--dxbl-icon-opacity);
    width: var(--dxbl-icon-width);
    height: var(--dxbl-icon-height);
    background-color: currentColor;
}

.grid-toolbar-cargo {
    --dxbl-grid-toolbar-cargo: url("../images/icons/cargoloaded.svg");
}

.grid-toolbar-edit {
    --dxbl-grid-toolbar-edit: url("../images/icons/edit.svg");
}

.grid-toolbar-print {
    --dxbl-grid-toolbar-print: url("../images/icons/print.svg");
}

.grid-toolbar-lock {
    --dxbl-grid-toolbar-lock: url("../images/icons/lock.svg");
}

.grid-toolbar-new {
    --dxbl-grid-toolbar-new: url("../images/icons/new-fluent.svg");
}

.grid-toolbar-save {
    --dxbl-grid-toolbar-save: url("../images/icons/save-fluent.svg");
}

.grid-toolbar-cancel {
    --dxbl-grid-toolbar-cancel: url("../images/icons/undo-fluent.svg")
}

.grid-toolbar-delete {
    --dxbl-grid-toolbar-delete: url("../images/icons/delete-fluent.svg");
}

.grid-icon {
    display: inline-block;
    width: 1em;
    height: 1rem;
    min-width: 1rem;
    min-height: 1rem;
    background-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    background-position: center center;
    background-color: currentColor;
    vertical-align: middle;
    margin: -0.25rem;
}

.grid-action-btn {
    height: 16px !important;
    max-width: 45px !important;
}

.grid-icon-delete {
    -webkit-mask-image: var(--dxbl-grid-icon-delete);
    --dxbl-grid-icon-delete: url("../images/icons/delete-fluent.svg");
    mask-image: var(--dxbl-grid-icon-delete);
    opacity: var(--dxbl-icon-opacity);
    width: var(--dxbl-icon-width);
    height: var(--dxbl-icon-height);
    background-color: currentColor;
}

.gradient-bg {
    background: linear-gradient(90.13deg, #FDAC5B 31.43%, #F37021 89.1%);
}

.rt-sub-title {
    font-size: 16px;
}

.rt-rounded {
    border-radius: 8px;
}

.camerafooter {
    font-size: 12px;
    color: #fff;
    font-weight: bold;
    background-color: #4d4d4d;
    text-align: center;
}

.update-notification {
    position: fixed;
    bottom: 20px;
    left: 20px;
    background: #f9edbe;
    color: #222;
    padding: 10px 20px;
    border-radius: 8px;
    box-shadow: 0 0 5px rgba(0,0,0,0.2);
    z-index: 1000;
}

.update-toast {
    background: #f9edbe !important;
    color: #222 !important;
    border-radius: 8px;
    box-shadow: 0 0 5px rgba(0,0,0,0.2);
    padding: 10px 20px;
}

.custom-toast-background {
    position: fixed;
    width: 350px;
    height: auto;
    justify-content: center;
    flex-direction: column;
    z-index: 20000;
    bottom: 1px;
    right: 1px;
}

.ws-grid .dxbl-grid-header {
    text-align: center;
}

.rt-shadow {
    box-shadow: 0 4px 8px #DA8E5E33;
}

.dxbl-treeview .dxbl-treeview-item > .dxbl-treeview-item-content > .dxbl-treeview-item-container:not(.dxbl-disabled):not(:disabled).dxbl-active::before {
    border-radius: 16px;
    background-color: rgba(255,255,255,0.37);
}

.dxbl-treeview .dxbl-treeview-item > .dxbl-treeview-item-content > .dxbl-treeview-item-container .dxbl-treeview-item-text-container.dxbl-treeview-item-text-tmpl {
    width: max-content;
}

.dxbl-treeview .dxbl-treeview-item > .dxbl-treeview-item-content > .dxbl-treeview-item-container:not(.dxbl-disabled):not(.dxbl-active):hover::before {
    background: #ffffff;
}

.root-item {
    color: white;
}

.rt-icon {
    width: 35px;
    height: 35px;
    background-repeat: no-repeat;
    background-position: center;
}

.rt-icon-scheduler {
    background-image: url('../images/Scheduler.svg');
}

.rt-icon-cctv {
    background-image: url('../images/cctv.svg');
}

.rt-icon-fleet {
    background-image: url('../images/Fleetpositions.svg');
}

.rt-icon-bargeupdate {
    background-image: url('../images/BargeUpdates.svg');
}

.rt-icon-operation-room {
    background-image: url('../images/OperationRoom.svg');
}

.rt-icon-daily-consumption {
    background-image: url('../images/icons/daily-consumption.svg');
}

.rt-icon-cargo {
    background-image: url('../images/icons/cargo.svg');
}

.rt-icon-daily-summary-report {
    background-image: url('../images/icons/daily-summary-report.svg');
}

.rt-icon-applist {
    background-image: url('../images/icons/applist-fluent.svg');
}

.rt-icon-data {
    background-image: url('../images/icons/data.svg');
}

.rt-icon-anchorage {
    background-image: url('../images/icons/anchor.svg');
}

.rt-icon-vessel {
    background-image: url('../images/icons/vessel.svg');
}

.rt-icon-tugboat {
    background-image: url('../images/icons/tugboat.svg');
}

.rt-icon-jetty {
    background-image: url('../images/icons/jetty.svg');
}

.rt-icon-barge {
    background-image: url('../images/icons/barge.svg');
}

.rt-icon-partner {
    background-image: url("../images/icons/partner.svg");
}

.rt-icon-country {
    background-image: url("../images/icons/country.svg");
}

.rt-icon-flag {
    background-image: url("../images/icons/flag.svg");
}

.rt-icon-port {
    background-image: url("../images/icons/port.svg");
}

.rt-icon-class {
    background-image: url("../images/icons/class.svg");
}

.rt-icon-globe {
    background-image: url("../images/icons/globe.svg");
}

.rt-icon-compass {
    background-image: url("../images/icons/compass.svg");
}

.rt-icon-appointment {
    background-image: url("../images/icons/appointment.svg");
}

.dxbl-active .rt-icon {
    filter: brightness(0) invert(1);
}

.rt-icon-menu {
    background-image: url('../images/icons/hamburger-fluent.svg');
    height: 16px;
    width: 16px;
    color: #fe7109;
}


.nav-item[b-sragahktql] a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
    min-width: 90px;
}

.custom-tooltip {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

.tooltip-content {
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.2s;
    position: absolute;
    bottom: 125%; /* show above */
    left: 50%;
    transform: translateX(-50%);
    background: #333;
    color: #fff;
    border-radius: 6px;
    padding: 6px;
    z-index: 9999;
    white-space: nowrap;
}

    .tooltip-content img {
        display: block;
        margin: 0 auto 4px auto;
    }

.custom-tooltip:hover .tooltip-content {
    visibility: visible;
    opacity: 1;
}

.btn-icon {
    width: 20px;
    height: 20px;
    background-repeat: no-repeat;
    background-size: contain;
}

.btn-icon-report {
    background-image: url("../images/icons/report.svg");
}

.btn-icon-change-tracker {
    background-image: url("../images/icons/history.svg");
}

.btn-icon-delete {
    background-image: url("../images/icons/delete.svg");
}

.btn-icon-save {
    background-image: url("../images/icons/save.svg");
}

.btn-icon-clear-filter {
    background-image: url("../images/icons/clear-filter.svg");
}

.btn-icon-sync {
    background-image: url("../images/icons/sync.svg");
    width: 20px;
    height: 20px;
}

.btn-icon-summary {
    background-image: url("../images/icons/sigma.svg");
}

.btn-icon-refresh {
    background-image: url("../images/icons/refresh.svg");
}

.btn-icon-export-pdf {
    background-image: url("../images/icons/export-pdf.svg");
}

.grid-icon-column-chooser {
    background-image: url("../images/icons/column-chooser-fluent.svg");
    width: 20px;
    height: 20px;
}

.grid-icon-delete-all {
    background-image: url("../images/icons/delete-all.svg");
    width: 20px;
    height: 20px;
    background-repeat: no-repeat;
}

.grid-icon-delete-all {
    background-image: url("../images/icons/delete-all.svg");
    width: 20px;
    height: 20px;
    background-repeat: no-repeat;
}

.dxbl-grid-header-content {
    color: #E67E22;
}

.rt-dialog {
    --dxbl-popup-header-bg: #f9ede5;
    --dxbl-popup-border-style: none;
}

    .rt-dialog .dxbl-popup-header-button {
        height: 30px;
    }

/* MessageBox Window Styles */
.msgbox-primary {
    border-top: 4px solid #007bff !important;
}

.msgbox-info {
    border-top: 4px solid #17a2b8 !important;
}

.msgbox-success {
    border-top: 4px solid #28a745 !important;
}

.msgbox-warning {
    border-top: 4px solid #ffc107 !important;
}

.msgbox-danger {
    border-top: 4px solid #dc3545 !important;
}

.dxbl-window-dialog {
    padding: var(--spacer-3)
}

.background-blue-light-cell {
    background-color: #BAD6DF !important;
}

.background-red-cell {
    background-color: red !important;
}

.background-pale-green-cell {
    background-color: #98FB98 !important;
}

.background-light-yellow {
    background-color: #FFFFE0; /* Light Yellow Background*/
}

.background-pink-light {
    background-color: #F3C8C8 !important; /* Dark Red Background */
}

.background-dark-blue {
    background-color: #0F243E !important; /* Dark Blue Background */
}

.background-yellow-green {
    background-color: #9ACD32 !important;
}

.background-light-salmon {
    background-color: #FFA07A !important;
}

.background-coral-pink {
    background-color: #FF7276 !important;
}

.color-black{
    color: black !important;
}

.color-red {
    color: red !important;
}

.color-golden-rod {
    color: #DAA520 !important;
}

.color-blue {
    color: blue !important;
}

.color-orange {
    color: rgb(255,128,0) !important;
}

.color-grey {
    color: grey !important;
}

.color-green {
    color: rgb(0,128,0) !important;
}

.color-orange-red {
    color: #FF4500 !important;
}

.color-navy {
    color: navy !important;
}

.color-white {
    color: white !important;
}

.color-dark-slate-blue {
    color: #483D8B !important;
}

.color-royal-blue {
    color: #4169E1 !important;
}

.font-bold {
    font-weight: bold !important;
}

.font-italic {
    font-style: italic;
}

.color-dark-red {
    color: #8B0000; /* DarkRed */
}

.dxbl-toast-portal .dxbl-toast .dxbl-toast-content .dxbl-toast-template {
    justify-content: flex-start !important;
}

.center-text input {
    text-align: center;
}

.input-right-text {
    text-align: right;
}

.caption-right label.dxbl-fl-cpt {
    justify-content: end;
}

.caption-right div.dxbl-fl-cpt {
    text-align: right;
    padding-right: 0.625rem;
}

.fs-required-indicator {
    font-size: 1.5rem !important;
}

.h-700 {
    height: 845px;
}

.required-caption:after {
    content: '*';
    color: red;
}

.dxbl-grid-selected-row.completed-item {
    background: #f0f0bd;
    --dxbl-grid-selection-focus-color: #5a091b;
}

.completed-item {
    background: #ffffe0;
    font-weight: bold;
    font-style: italic;
    color: #950016;
}

.default-dropdown > div {
    max-height: 600px;
}

input.date-readonly {
    pointer-events: none; /* disable typing */
}

.btn-icon-terminal-sof {
    background-image: url("../images/icons/chart-bar-stacked.svg");
}

.w-92 {
    width: 90%;
}

.w-86 {
    width: 86%;
}

.w-50 {
    width: 50%;
}

.w-35 {
    width: 35%;
}

.h-86 {
    height: 86% !important;
}

.flex-justify-end {
    display: flex;
    justify-content: flex-end;
}

.lc-message {
    position: relative;
    height: 36px;
    width: 100%;
    background-color: salmon;
    border: 1px solid #c96a6a;
    font-family: "Segoe UI", sans-serif;
    font-size: 16px;
    display: flex;
    align-items: center; /* Vertical center */
    justify-content: center; /* Center text container */

    padding: 0 12px;
    box-sizing: border-box;
}

/* Centered text */
.lc-message-text {
    text-align: center;
    white-space: normal;
}

/* Info icon fixed on the left */
.info-icon {
    position: absolute;
    left: 12px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 28px;
    height: 28px;
    /*border-radius: 50%;
    background-color: #2f80ed;
    color: white;
    font-size: 12px;
    font-weight: bold;*/
    background-image: url("../images/info_32.png");
    background-size: cover;
}


.oft-sof-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.h-max-80 {
    height: 80vh;
}

.h-fix-700 {
    height: 700px;
}

.h-fix-650 {
    height: 650px;
}

.height-75-vh {
    height: 75vh;
}

.height-45-vh {
    height: 45vh;
}

.height-82-vh {
    height: 82vh;
}

.version-label {
    position: fixed;
    bottom: 12px;
    left: 5px;
    background-color: #e0e0e0;
    color: #555;
    padding: 6px 10px;
    border-radius: 999px;
    font-size: 12px;
    font-family: system-ui, sans-serif;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.15);
    opacity: 0.85;
    z-index: 9999;
    cursor: default;
    text-align: center;
}

    .version-label .tooltip {
        position: absolute;
        bottom: 130%;
        left: 0;
        background-color: #333;
        color: #fff;
        padding: 6px 10px;
        border-radius: 6px;
        font-size: 11px;
        white-space: nowrap;
        opacity: 0;
        visibility: hidden;
        transform: translateY(4px);
        transition: all 0.2s ease;
    }

        .version-label .tooltip::after {
            content: "";
            position: absolute;
            top: 100%;
            left: 14px;
            border-width: 5px;
            border-style: solid;
            border-color: #333 transparent transparent transparent;
        }

    .version-label:hover .tooltip {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
    }

.dx-sync-pill {
    display: inline-flex;
    align-items: center;
    font-size: 11.5px;
    color: #0071c1;
    padding: 1px 6px;
    border-radius: 10px;
    background-color: rgba(92, 124, 250, 0.08);
    cursor: pointer;
}


.dx-dots span {
    animation: dx-dot 1.4s infinite both;
}

    .dx-dots span:nth-child(2) {
        animation-delay: .2s;
    }

    .dx-dots span:nth-child(3) {
        animation-delay: .4s;
    }

@keyframes dx-dot {
    0% {
        opacity: 0;
    }

    20% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.grid-footer-summary-cell {
    font-family: "Segoe UI";
    font-size: 9pt;
    font-weight: bold;
}

.rt-flex-space-between {
    display: flex;
    flex-direction: column;
    min-height: 860px;
    justify-content: space-between;
}

    .rt-flex-space-between > .dxbl-row {
        display: flex;
        flex-direction: column;
        min-height: 860px;
        justify-content: space-between;
    }

.text-right-spin input {
    text-align: right;
}

.progress-textbox-wrapper {
    position: relative;
    width: 100%;
}

.progress-fill {
    position: absolute;
    top: 1px;
    left: 1px;
    height: calc(100% - 2px);
    background-color: orange;
    z-index: 1;
    pointer-events: none;
    transition: width 0.3s;
}

.progress-textbox .dx-texteditor-input {
    position: relative;
    z-index: 2;
    text-align: center;
    font-weight: 600;
    background: transparent;
}

.cargo-load {
    background-color: #c6e9f5;
}

.cargo-unload {
    background-color: antiquewhite;
}

.uppercase-input {
    text-transform: uppercase;
}

.cursor-help {
    cursor: help;
}
